Show / Hide Table of Contents

# Struct AgentContext

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentContext

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### ContextMenuArray

##### Declaration

    public byte *ContextMenuArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ContextMenuIndex

##### Declaration

    public byte ContextMenuIndex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ContextMenuTarget

##### Declaration

    public ContextMenuTarget ContextMenuTarget

##### Field Value

Type | Description
--- | ---
ContextMenuTarget |

| Improve this Doc View Source

#### ContextMenuTitle

##### Declaration

    public Utf8String ContextMenuTitle

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CurrentContextMenu

##### Declaration

    public ContextMenu*CurrentContextMenu

##### Field Value

Type | Description
--- | ---
ContextMenu* |

| Improve this Doc View Source

#### CurrentContextMenuTarget

##### Declaration

    public ContextMenuTarget*CurrentContextMenuTarget

##### Field Value

Type | Description
--- | ---
ContextMenuTarget* |

| Improve this Doc View Source

#### MainContextMenu

##### Declaration

    public ContextMenu MainContextMenu

##### Field Value

Type | Description
--- | ---
ContextMenu |

| Improve this Doc View Source

#### OpenAtPosition

##### Declaration

    public byte OpenAtPosition

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### OwnerAddon

##### Declaration

    public uint OwnerAddon

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Position

##### Declaration

    public Point Position

##### Field Value

Type | Description
--- | ---
System.Drawing.Point |

| Improve this Doc View Source

#### SubContextMenu

##### Declaration

    public ContextMenu SubContextMenu

##### Field Value

Type | Description
--- | ---
ContextMenu |

| Improve this Doc View Source

#### TargetContentId

##### Declaration

    public ulong TargetContentId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### TargetGender

##### Declaration

    public int TargetGender

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TargetHomeWorldId

##### Declaration

    public short TargetHomeWorldId

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### TargetMountSeats

##### Declaration

    public uint TargetMountSeats

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### TargetName

##### Declaration

    public Utf8String TargetName

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### TargetObjectId

##### Declaration

    public GameObjectID TargetObjectId

##### Field Value

Type | Description
--- | ---
GameObjectID |

| Improve this Doc View Source

#### UpdateChecker

##### Declaration

    public void *UpdateChecker

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### UpdateCheckerParam

##### Declaration

    public long UpdateCheckerParam

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### YesNoEventId

##### Declaration

    public byte YesNoEventId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### YesNoTargetContentId

##### Declaration

    public ulong YesNoTargetContentId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### YesNoTargetHomeWorldId

##### Declaration

    public short YesNoTargetHomeWorldId

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### YesNoTargetName

##### Declaration

    public Utf8String YesNoTargetName

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### YesNoTargetObjectId

##### Declaration

    public GameObjectID YesNoTargetObjectId

##### Field Value

Type | Description
--- | ---
GameObjectID |

### Methods

| Improve this Doc View Source

#### AddContextMenuItem(Int32, Byte*, Boolean, Boolean, Boolean)

##### Declaration

    public void AddContextMenuItem(int eventId, byte *text, bool disabled = false, bool submenu = false, bool copyText = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | eventId |
System.Byte* | text |
System.Boolean | disabled |
System.Boolean | submenu |
System.Boolean | copyText |

| Improve this Doc View Source

#### AddContextMenuItem(Int32, String, Boolean, Boolean, Boolean)

##### Declaration

    public void AddContextMenuItem(int eventId, string text, bool disabled = false, bool submenu = false, bool copyText = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | eventId |
System.String | text |
System.Boolean | disabled |
System.Boolean | submenu |
System.Boolean | copyText |

| Improve this Doc View Source

#### AddContextMenuItem2(Int32, UInt32, Boolean, Boolean, Boolean)

##### Declaration

    public void AddContextMenuItem2(int eventId, uint addonTextId, bool disabled = false, bool submenu = false, bool copyText = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | eventId |
System.UInt32 | addonTextId |
System.Boolean | disabled |
System.Boolean | submenu |
System.Boolean | copyText |

| Improve this Doc View Source

#### AddMenuItem(Byte*, Void*, Int64, Boolean, Boolean)

##### Declaration

    public void AddMenuItem(byte *text, void *handler, long handlerParam, bool disabled = false, bool submenu = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | text |
System.Void* | handler |
System.Int64 | handlerParam |
System.Boolean | disabled |
System.Boolean | submenu |

| Improve this Doc View Source

#### AddMenuItem(String, Void*, Int64, Boolean, Boolean)

##### Declaration

    public void AddMenuItem(string text, void *handler, long handlerParam, bool disabled = false, bool submenu = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |
System.Void* | handler |
System.Int64 | handlerParam |
System.Boolean | disabled |
System.Boolean | submenu |

| Improve this Doc View Source

#### AddMenuItem2(UInt32, Void*, Int64, Boolean, Boolean)

##### Declaration

    public void AddMenuItem2(uint addonTextId, void *handler, long handlerParam, bool disabled = false, bool submenu = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | addonTextId |
System.Void* | handler |
System.Int64 | handlerParam |
System.Boolean | disabled |
System.Boolean | submenu |

| Improve this Doc View Source

#### ClearMenu()

##### Declaration

    public void ClearMenu()

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentContext*Instance()

##### Returns

Type | Description
--- | ---
AgentContext* |

| Improve this Doc View Source

#### OpenContextMenu(Boolean, Boolean)

##### Declaration

    public void OpenContextMenu(bool bindToOwner = true, bool closeExisting = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bindToOwner |
System.Boolean | closeExisting |

| Improve this Doc View Source

#### OpenContextMenuForAddon(UInt32, Boolean)

##### Declaration

    public void OpenContextMenuForAddon(uint ownerAddonId, bool bindToOwner = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | ownerAddonId |
System.Boolean | bindToOwner |

| Improve this Doc View Source

#### OpenSubMenu()

##### Declaration

    public bool OpenSubMenu()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### OpenYesNo(Byte*, UInt32, UInt32, UInt32, Boolean)

##### Declaration

    public void OpenYesNo(byte *text, uint yesId = 576U, uint noId = 577U, uint checkboxId = 0U, bool setOwner = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | text |
System.UInt32 | yesId |
System.UInt32 | noId |
System.UInt32 | checkboxId |
System.Boolean | setOwner |

| Improve this Doc View Source

#### OpenYesNo(String, UInt32, UInt32, UInt32, Boolean)

##### Declaration

    public void OpenYesNo(string text, uint yesId = 576U, uint noId = 577U, uint checkboxId = 0U, bool bindToOwner = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |
System.UInt32 | yesId |
System.UInt32 | noId |
System.UInt32 | checkboxId |
System.Boolean | bindToOwner |

| Improve this Doc View Source

#### SetMenuTitle(Byte*)

##### Declaration

    public void SetMenuTitle(byte *text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | text |

| Improve this Doc View Source

#### SetMenuTitle(String)

##### Declaration

    public void SetMenuTitle(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |

| Improve this Doc View Source

#### SetPosition(Int32, Int32)

##### Declaration

    public void SetPosition(int x, int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.Int32 | y |